<?php

declare(strict_types=1);

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contest_signups', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->string('unitate');
            $table->string('nume');
            $table->string('telefon');
            $table->string('email')->unique();
            $table->string('nume_echipa');
            $table->json('echipa');
        });
    }
};
